base64 {jsonlite} | R Documentation

## Encode/decode base64

### Description

Simple in-memory base64 encoder and decoder. Used internally for converting raw vectors to text. Interchangable with encoder from `base64enc` or `openssl` package.

### Usage

    base64_dec(input)

    base64_enc(input)

### Arguments

`input` | string or raw vector to be encoded/decoded

### Examples

    str <- base64_enc(serialize(iris, NULL))
    out <- unserialize(base64_dec(str))
    stopifnot(identical(out, iris))

[Package jsonlite version 1.5 Index]